<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("proje" . "ct_id" => base64_decode("cHJvamVjdF" . "9pZA=="), "_ec438e08973b3716c60e393f" . "66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb" . "3VyY2UgSUMgcHJvam" . "VjdA=="), "_565d7be99acb" . "0b7627e48da06" . "8eebbd6" => base64_decode("cmVxdWly" . "ZWQ="), "_5a318eaa74da0cc2a06bdb95" . "289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJvamVjdA" . "=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["project_" . "id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5a318eaa74da0cc2a06bdb95289fe8" . "1b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["project" . "_id"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ec438e08973b" . "3716c60e393f6" . "6ef5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_565d7be99acb0b7627e48da0" . "68eebbd6"]);
        $this->_formBuilt = true;
    }
}